CVE-2024-37301

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2024-37301
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2024-37301.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2024-37301
Aliases
Published
2024-06-11T19:16:07Z
Modified
2024-06-14T02:00:55.416435Z
Summary
[none]
Details

Document Merge Service is a document template merge service providing an API to manage templates and merge them with given data. Versions 6.5.1 and prior are vulnerable to remote code execution via server-side template injection which, when executed as root, can result in full takeover of the affected system. As of time of publication, no patched version exists, nor have any known workarounds been disclosed.

References

Affected packages

Git / github.com/adfinis/document-merge-service

Affected ranges

Type
GIT
Repo
https://github.com/adfinis/document-merge-service
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed

Affected versions

v0.*

v0.0.1
v0.1.0

v1.*

v1.0.0

v2.*

v2.0.0

v3.*

v3.0.0

v4.*

v4.0.0-rc.1
v4.0.1
v4.1.0
v4.2.0
v4.2.1
v4.3.0
v4.4.0
v4.4.1
v4.5.0
v4.6.0
v4.6.1
v4.6.2
v4.6.3
v4.7.0

v5.*

v5.0.0
v5.0.1
v5.0.2
v5.0.3
v5.0.4
v5.0.5
v5.0.6
v5.1.0
v5.2.0
v5.2.1

v6.*

v6.0.0
v6.1.0
v6.1.1
v6.1.2
v6.2.0
v6.2.1
v6.2.2
v6.3.0
v6.3.1
v6.4.0
v6.4.1
v6.4.2
v6.4.3
v6.4.4
v6.4.5
v6.5.0
v6.5.1